<?php
namespace Ak\Wp;

use AkTest\Woo\TestConfigProvider;
use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ServiceManager\ServiceManager;

require __DIR__ . '/vendor/autoload.php';

$config = (new ConfigAggregator([
    ConfigProvider::class,
    TestConfigProvider::class,
]))->getMergedConfig();

$container = new ServiceManager($config['dependencies']);
$container->setService('config', $config);

wp_config($container);

/** @noinspection PhpUnusedLocalVariableInspection */
$table_prefix = 'wp_';

include ABSPATH . 'wp-settings.php';